<?php
/*
Copyright (©) 2003-2013 Teus Benschop.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


error_reporting (E_ALL);
ini_set('display_errors', '1');


require_once ("../database/sqlite.php");
require_once ("../database/sqliteinjection.php");
require_once ("../database/notes.php");


$database_notes = Database_Notes::getInstance ();
$database_notes->create ();


if (!file_exists ("credentials.php")) return;


require_once ("mysql.php");


// Import MySQL into SQLite when SQLite has no data yet.
$count = 0;
$query = "SELECT rowid FROM notes;";
$result = Database_SQLite::query ($database_notes->db, $query);
foreach ($result as $row) $count++;
if ($count == 0) {
  $database = Setup_MySQL::getInstance ();
  $query = "SELECT * FROM notes;";
  $result = $database->runQuery ($query);
  Database_SQLite::exec ($database_notes->db, "BEGIN;");
  for ($i = 0; $i < $result->num_rows; $i++) {
    $row = $result->fetch_assoc ();
    $identifier = $row ['identifier'];
    $modified = $row ['modified'];
    $assigned = $row ['assigned'];
    $assigned = Database_SQLiteInjection::no ($assigned);
    $subscriptions = $row ['subscriptions'];
    $subscriptions = Database_SQLiteInjection::no ($subscriptions);
    $bible = $row ['bible'];
    $bible = Database_SQLiteInjection::no ($bible);
    $passage = $row ['passage'];
    $passage = Database_SQLiteInjection::no ($passage);
    $status = $row ['status'];
    $status = Database_SQLiteInjection::no ($status);
    $severity = $row ['severity'];
    $summary = $row ['summary'];
    $summary = Database_SQLiteInjection::no ($summary);
    $contents = $row ['contents'];
    $contents = Database_SQLiteInjection::no ($contents);
    $cleantext = $row ['cleantext'];
    $cleantext = Database_SQLiteInjection::no ($cleantext);
    $query = "INSERT INTO notes ";
    $query .= " (identifier, modified, assigned, subscriptions, bible, passage, status, severity, summary, contents, cleantext) ";
    $query .= " VALUES ($identifier, $modified, '$assigned', '$subscriptions', '$bible', '$passage', '$status', $severity, '$summary', '$contents', '$cleantext');";
    Database_SQLite::exec ($database_notes->db, $query);
  }
  Database_SQLite::exec ($database_notes->db, "COMMIT;");
}


?>
